# Uses of Class
org.eclipse.equinox.p2.operations.RemedyConfig

Packages that use RemedyConfig
Package
Description
org.eclipse.equinox.p2.operations
Describes high level provisioning operations that can be resolved and performed either modally or in the background.

## Uses of RemedyConfig in org.eclipse.equinox.p2.operations

Methods in org.eclipse.equinox.p2.operations that return RemedyConfig
Modifier and Type
Method
Description
`static RemedyConfig[]`
RemedyConfig.`getAllRemedyConfigs()`
`static RemedyConfig[]`
RemedyConfig.`getCheckForUpdateRemedyConfigs()`
`RemedyConfig`
Remedy.`getConfig()`
`RemedyConfig[]`
RemediationOperation.`getRemedyConfigs()`
Methods in org.eclipse.equinox.p2.operations with parameters of type RemedyConfig
Modifier and Type
Method
Description
`void`
Remedy.`setConfig(RemedyConfig config)`
Constructors in org.eclipse.equinox.p2.operations with parameters of type RemedyConfig
Modifier
Constructor
Description
``
`RemediationOperation(ProvisioningSession session, IProfileChangeRequest originalRequest, RemedyConfig[] remedyConfigs)`